<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Detail::EnumInfo Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Detail.html">Detail</a></li><li class="navelem"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html">EnumInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1Detail_1_1EnumInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Detail::EnumInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::Detail::EnumInfo:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1Detail_1_1EnumInfo__coll__graph.png" border="0" usemap="#Catch_1_1Detail_1_1EnumInfo_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Detail_1_1EnumInfo_coll__map" id="Catch_1_1Detail_1_1EnumInfo_coll__map">
<area shape="rect" title=" " alt="" coords="5,95,181,121"/>
<area shape="rect" href="classCatch_1_1StringRef.html" title=" " alt="" coords="30,5,157,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab6608593c00614a688045fe8d911258d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html#ab6608593c00614a688045fe8d911258d">~EnumInfo</a> ()</td></tr>
<tr class="separator:ab6608593c00614a688045fe8d911258d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fdfacc411d7afb1cb690366e5e49cb3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html#a2fdfacc411d7afb1cb690366e5e49cb3">lookup</a> (int value) const</td></tr>
<tr class="separator:a2fdfacc411d7afb1cb690366e5e49cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6608593c00614a688045fe8d911258d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html#ab6608593c00614a688045fe8d911258d">~EnumInfo</a> ()</td></tr>
<tr class="separator:ab6608593c00614a688045fe8d911258d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fdfacc411d7afb1cb690366e5e49cb3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html#a2fdfacc411d7afb1cb690366e5e49cb3">lookup</a> (int value) const</td></tr>
<tr class="separator:a2fdfacc411d7afb1cb690366e5e49cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a16ecfd3a7e11439433aabbdf6ecb676c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html#a16ecfd3a7e11439433aabbdf6ecb676c">m_name</a></td></tr>
<tr class="separator:a16ecfd3a7e11439433aabbdf6ecb676c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0e5192faeffe49ef749ea64678adc5e"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::pair&lt; int, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Detail_1_1EnumInfo.html#ad0e5192faeffe49ef749ea64678adc5e">m_values</a></td></tr>
<tr class="separator:ad0e5192faeffe49ef749ea64678adc5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab6608593c00614a688045fe8d911258d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6608593c00614a688045fe8d911258d">&#9670;&nbsp;</a></span>~EnumInfo() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Detail::EnumInfo::~EnumInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6608593c00614a688045fe8d911258d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6608593c00614a688045fe8d911258d">&#9670;&nbsp;</a></span>~EnumInfo() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::Detail::EnumInfo::~EnumInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2fdfacc411d7afb1cb690366e5e49cb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fdfacc411d7afb1cb690366e5e49cb3">&#9670;&nbsp;</a></span>lookup() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> Catch::Detail::EnumInfo::lookup </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2fdfacc411d7afb1cb690366e5e49cb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fdfacc411d7afb1cb690366e5e49cb3">&#9670;&nbsp;</a></span>lookup() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> Catch::Detail::EnumInfo::lookup </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a16ecfd3a7e11439433aabbdf6ecb676c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16ecfd3a7e11439433aabbdf6ecb676c">&#9670;&nbsp;</a></span>m_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> Catch::Detail::EnumInfo::m_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad0e5192faeffe49ef749ea64678adc5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0e5192faeffe49ef749ea64678adc5e">&#9670;&nbsp;</a></span>m_values</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::pair&lt; int, <a class="el" href="classCatch_1_1StringRef.html">StringRef</a> &gt; &gt; Catch::Detail::EnumInfo::m_values</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
